on run argv
	
	set USER_APP_SUPPORT to item 1 of argv
	set APP_PATH to item 2 of argv
	
	set launchAgentPaths to items 3 thru (count argv) of argv
	
	-- Firstly, 'get root' by raising the authentication dialogue (the whoami command is arbitrary but benign).
	-- We do this 'early' to avoid raising it halfway through removal operations: what would we do if user pressed cancel?!
	do shell script "whoami" with administrator privileges
	
	-- Unload and remove the Job LaunchAgents
	repeat with path in launchAgentPaths
		do shell script "launchctl unload -F " & quoted form of path -- Unprivileged; to unload *User* LaunchAgents.
		do shell script "rm -f " & quoted form of path with administrator privileges
	end repeat
	
	-- Remove USER_APP_SUPPORT
	do shell script "rm -rf " & quoted form of USER_APP_SUPPORT with administrator privileges
	
	-- Remove the app itself
	do shell script "rm -rf " & quoted form of APP_PATH with administrator privileges
	
	
end run

